﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.PriceConfirmation;
@{
    PriceConfirmationModel m = null;
    if (Model != null && Model.GetModel<PriceConfirmationModel>() != null)
    {
        m = Model.GetModel<PriceConfirmationModel>();
    }
    PriceConfirmation ahe = new PriceConfirmation();
    bool isView = false;
    string mode = "";
    string pcDate = "";
    string effectiveDate = "";
    if (m != null && m.Detail != null)
    {
        ahe = m.Detail;
        mode = m.Mode;
        isView = (m.Mode != null && m.Mode.Equals("view"));

        pcDate = ahe.PCDate.ToString("dd.MM.yyyy");
        effectiveDate = ahe.EffectiveDate.ToString("dd.MM.yyyy");
        if (pcDate.Equals("01.01.0001")) { pcDate = ""; }
        if (effectiveDate.Equals("01.01.0001")) { effectiveDate = ""; }
    } 
}
<table class="tabel" id="PCDetailSearchBox" data-mode="@TempData["mode"]">
    <tr>
        <td class="align-top">
            <div class="baris">
                <div class="sel five columns label" id="laSupplierCode">
                    Supplier Code
                </div>
                <div class="sel seven columns text" id="coSupplierCode">
                    @Html.DevExpress().TextBox(
                        e =>
                        {
                            e.Name = "SupplierCode";
                            e.Text = ahe.SupplierCode;
                            e.Width = Unit.Pixel(45);
                            e.Properties.MaxLength = 21;
                            e.Properties.ClientInstanceName = "SupplierCodeText";
                            e.ReadOnly = true;
                        }).GetHtml()
                    @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "OIHSupplierOption";
                        gridLookup.Width = 250;
                        gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PCDetail", Action = "PartialHeaderSupplierLookup" };
                        gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.ClientSideEvents.SelectionChanged = "OIHSupplierOptionSelectionChanged";
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SUPP_CD";
                            column.FieldName = "SUPP_CD";
                            column.Caption = "Supplier<br /> Code";
                            column.Width = Unit.Pixel(80);

                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                        });

                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SUPP_NAME";
                            column.FieldName = "SUPP_NAME";
                            column.Caption = "Supplier<br />Name";
                            column.Width = Unit.Pixel(500);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });

                    }).Bind(ViewData["GridSupplier"]).GetHtml()
                </div>
            </div>
            <div class="baris">
                <div class="sel five columns label">
                    Supplier Name
                </div>
                <div class="sel seven columns text">
                    @Html.DevExpress().TextBox(
                    e =>
                    {
                        e.Name = "Supplier Name";
                        e.Text = ahe.SupplierName;
                        e.Width = Unit.Pixel(250);
                        e.Properties.MaxLength = 21;
                        e.Properties.ClientInstanceName = "SupplierNameText";
                        e.ReadOnly = true;
                    }).GetHtml()
                </div>
            </div>
            <div class="baris">
                <div class="sel five columns label" id="laSupplierAddr">
                    Supplier Address
                </div>
                <div class="sel seven columns text" id="teSupplierAddr">
                    @Html.DevExpress().Memo(
                    e =>
                    {
                        e.Name = "SupplierAddress";
                        e.Width = Unit.Pixel(250);
                        e.Height = Unit.Pixel(45);

                        e.Text = ahe.SupplierAddress;
                        e.Properties.ClientInstanceName = "SupplierAddressText";
                        e.ReadOnly = true;
                    }).GetHtml()
                </div>
            </div>
        </td>
        <td>
            <div class="baris">
                <div class="sel five columns label" id="laSupplierAttention">
                    Supplier Attention
                </div>
                <div class="sel seven columns text" id="teSupplierAttention">
                    @Html.DevExpress().TextBox(
                    e =>
                    {
                        e.Name = "SupplierAttention";
                        e.Width = Unit.Pixel(150);
                        e.Text = ahe.SupplierAttention;
                        e.Properties.MaxLength = 21;
                        e.Properties.ClientInstanceName = "SupplierAttentionText";
                        e.ReadOnly = true;
                    }).GetHtml()
                </div>
            </div>
            <div class="baris">
                <div class="sel five columns label">
                    PC No
                </div>
                <div class="sel seven columns column text" id="tePcNo">
                    @Html.DevExpress().TextBox(
                    e =>
                    {
                        e.Name = "PCNoText";
                        e.Text = ahe.PCNo;
                        e.Width = Unit.Pixel(150);
                        e.Properties.MaxLength = 21;
                        e.Properties.ClientInstanceName = "PCNoText";
                        e.ReadOnly = true;
                    }).GetHtml()
                </div>
            </div>
            <div class="baris">
                <div class="sel five columns label">
                    PC Date
                </div>
                <div class="sel seven columns text" id="daPcDate">
                    @Html.DevExpress().TextBox(
        e =>
        {
            e.Name = "PCDate";
            e.Text = pcDate;
            e.Width = Unit.Pixel(150);
            e.Properties.MaxLength = 21;
            e.Properties.ClientInstanceName = "PCDateText";
            e.ReadOnly = true;
        }).GetHtml()
                </div>
            </div>
            <div class="baris">
                <div class="sel five columns label " id="teEffectiveDate">
                    To Be Effective
                </div>
                <div class="sel seven columns text" id="daEffectiveDate" data-ed="@effectiveDate">
        @Html.DevExpress().DateEdit(
        e =>
        {
            e.Name = "EffectiveDate";
            e.Width = 100;
            e.Height = 25;
            e.Properties.EditFormat = EditFormat.Custom;
            
            e.Properties.ClientInstanceName = "EffectiveDateText";
            e.Properties.DisplayFormatString = "MM.yyyy";
            e.Properties.EditFormatString = "MM.yyyy";
           
            e.Properties.ClientSideEvents.Init = "OnEffectiveDateInit";
            e.Properties.ClientSideEvents.DropDown = "OnEffectiveDateDropdown";
        }).GetHtml()
                    
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td>
         <div class="sel five columns text align-left">
            @Html.DevExpress().Button(button =>
        {
            button.Name = "btnAdd";
            button.Text = "Add";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnAddClick";
            button.Enabled = !isView;
        }).GetHtml()
            @Html.DevExpress().Button(button =>
        {
            button.Name = "btnDelete";
            button.Text = "Delete";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnDeleteClick";
            button.Enabled = !isView;
        }).GetHtml()

       
        </div>
        <div class="sel two columns text align-left">
         @Html.DevExpress().Button(button =>
        {
            button.Name = "btnPC";
            button.Text = "Back";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnPCClick";
            button.Enabled = !isView;
        }).GetHtml()
        </div>
        </td>
        <td>
            <div class="sel three columns label">
                &nbsp;</div>
            <div class="sel seven columns text align-right">
                @Html.DevExpress().Button(
        button =>
        {
            button.Name = "btnSearch";
            button.Text = "Search";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");

            button.ClientSideEvents.Click = "btnSearchClick";

            button.ClientVisible = !isView;
        }).GetHtml()
                @Html.DevExpress().Button(
        button =>
        {
            button.Name = "btnClear";
            button.Text = "Clear";
            button.Width = Unit.Pixel(80);
            button.Style.Add("display", "inline-table");
            button.ClientSideEvents.Click = "btnClearClick";
            button.ClientVisible = !isView;
        }).GetHtml()
            </div>
        </td>
    </tr>
</table>
